#ifndef STD_STRING_H_
#define STD_STRING_H_

#include <stddef.h>

void *memset(void *p, int c, size_t n);
void *memcpy(void *dst, const void *src, size_t n);
size_t strlen(char *s);
int strcmp(const char *a, const char *b);
size_t strcspn(const char *s, const char *reject);
size_t strspn(const char *s, const char *accept);
char *strcpy(char *dest, const char *src);
char *strchr(const char *s, int c);
int memcmp(const void *s1, const void *s2, int len);

#endif // STD_STRING_H_
